Subject: bug#39352: guix pull failing on aarch64

From: shtwzrd <[email-masked]>
Date: Tue, 11 Feb 2020 22:52:43 +0000

Ludo said:
> I believe the problem is not deterministic, so it may be that retrying
> ‘guix pull’ will work…

I take back what I said; I tried one more time today just out of curiosity, and it actually succeeded.

I tried four more times afterward though and it failed the same way as it has before.

So just as you said, it's not deterministic, but it fails much more often than not in my particular situation.

If there's any extra information I can give that could help people debug this, please let me know. Hunting down a hard to reproduce error is the worst. :)